GET /admin/api/price-tiers
curl --request GET \
--url https://api.example.com/admin/api/price-tiers \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/price-tiers"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/price-tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/price-tiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/price-tiers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/api/price-tiers")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/price-tiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"items": [
{
"audioInputPerMillion": "<string>",
"audioOutputPerMillion": "<string>",
"cacheCreationPerMillion": [],
"cacheReadPerMillion": "<string>",
"cachedAudioInputPerMillion": "<string>",
"id": "<string>",
"imageInputPerMillion": "<string>",
"imageOutputPerMillion": "<string>",
"inputPerMillion": "<string>",
"minPromptTokens": 123,
"multiplier": "<string>",
"outputPerMillion": "<string>",
"priceRuleId": "<string>",
"priority": 123,
"reasoningPerMillion": "<string>",
"serviceTier": "<string>",
"videoInputPerMillion": "<string>",
"videoPerMillion": "<string>"
}
],
"limit": 1,
"offset": 1,
"total": 1
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
GET /admin/api/price-tiers
GET
/
admin
/
api
/
price-tiers
GET /admin/api/price-tiers
curl --request GET \
--url https://api.example.com/admin/api/price-tiers \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/price-tiers"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/price-tiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/price-tiers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/price-tiers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/api/price-tiers")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/price-tiers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"items": [
{
"audioInputPerMillion": "<string>",
"audioOutputPerMillion": "<string>",
"cacheCreationPerMillion": [],
"cacheReadPerMillion": "<string>",
"cachedAudioInputPerMillion": "<string>",
"id": "<string>",
"imageInputPerMillion": "<string>",
"imageOutputPerMillion": "<string>",
"inputPerMillion": "<string>",
"minPromptTokens": 123,
"multiplier": "<string>",
"outputPerMillion": "<string>",
"priceRuleId": "<string>",
"priority": 123,
"reasoningPerMillion": "<string>",
"serviceTier": "<string>",
"videoInputPerMillion": "<string>",
"videoPerMillion": "<string>"
}
],
"limit": 1,
"offset": 1,
"total": 1
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.
查询参数
Restrict price rules to the global scope.
Exact pricing pattern (not a runtime wildcard match).
1-based. Zero and absent both mean the first page.
必填范围:
x >= 0Clamped to 1..=500; absent means 50.
必填范围:
x >= 0Case-insensitive substring of the family's natural name column.